<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA
   </div>
   <div id="projectbrief">Modern Doxygen theme</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d1c/classserial_handler_1_1_serial_handler.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">serialHandler.SerialHandler Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a6d7278fc8c10065e61ce5416c172b6f1">__init__</a>(self, parent, name)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a6e16dac4817f9fed3e3584cc7be369f2">_baudrate</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#aad0a67c18e8c474c41ba3ea4a4e35bdd">_parity</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a93e889e181e4be78d8e09d4238a217b9">_port</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#aca8a5d8753870f741a6520f575451412">_portList</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a34a0d610e131af37359bcbebae0ab5fe">_portList</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a55b5306e783e256d7ba3f362c2d3f7f7">_receiverList</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ab5c170ab577ccd61c240c7cfaf7fea7b">_serial</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a0fa04b8a3052b7f3a463515a6481aeb7">_stopbits</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ab8a02e82ad9cd46805d817bed3c23437">_transmitterList</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a19295cd2cf310a9110994ae1ff228329">addReceiver</a>(self, id, slot)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ae200cbdc9026eb88e790341d3be1d40e">addTransmitter</a>(self, id, signal)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ae13980e7db0b937b5a01cff486e4098c">channel_name</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a16f53a72a06ddf5358fe9bf9763f614d">connectToPort</a>(self)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a9c67161792be4864f588bd3cc4b736ca">dataReceived</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ae7db2829f201e82859c87b81c920126e">debug_timer</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#aaea0848dd73977f52d0262b8f859d17a">getAvailablePorts</a>(self)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a66dcc930a52313689e7d195e8e00336d">getBaudrate</a>(self, str baudrate)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ad25d0ec667cb869016706a96566b4080">getCOMPort</a>(self, str port)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ad99f13c1e8b9efc617fc4eafc13701c6">parent</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a8aa83c0d33727281e72e322d9a77b9e0">portListModel</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a3872a63842bc0d025f3aa8a8572b7d27">receiveData</a>(self)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a59406df26190b5b01400b4afd9d38df4">removeReceiver</a>(self, id)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a6c757b855a42320809793c02a285cbbe">testDataReception</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#a5b265116f3d80f177c60ce299cfd6f52">testDataReception</a>(self)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#aedd17182faf79145ec8c2290dff8270b">testDataTransmission</a></td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ab403c858dc919708a683853681deafba">testDataTransmission</a>(self, transmitted_data)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html#ab32e9b8088c42c89363f5d0d128bb6a6">transmitData</a>(self, payload)</td><td class="entry"><a class="el" href="../../d1/d1c/classserial_handler_1_1_serial_handler.html">serialHandler.SerialHandler</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
